summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author B. Watson2024-03-07 04:27:46 +0100
committer Willy Sudiarto Raharjo2024-03-09 00:18:08 +0100
commitc167b2b09cbc93a22792a77a4500d2cd2156b895 (patch)
treedbc8cb59b4398bc3c80e21daaeb6dbe0841a17f8 /desktop
parentb6b77b2b6a5cb02fbb58fa8cb019c2355e740589 (diff)
downloadslackbuilds-c167b2b09cbc93a22792a77a4500d2cd2156b895.tar.gz
desktop/wmsorsen: Added (temperature sensors).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmsorsen/README16
-rw-r--r--desktop/wmsorsen/slack-desc19
-rw-r--r--desktop/wmsorsen/wmsorsen.SlackBuild78
-rw-r--r--desktop/wmsorsen/wmsorsen.info10
4 files changed, 123 insertions, 0 deletions
diff --git a/desktop/wmsorsen/README b/desktop/wmsorsen/README
new file mode 100644
index 0000000000..cb4e9accc3
--- /dev/null
+++ b/desktop/wmsorsen/README
@@ -0,0 +1,16 @@
+wmsorsen (windowmaker dockapp for cpu temp/fan/voltage sensors)
+
+wmsorsen is a dockapp for WindowMaker (and similar window managers
+supporting dockapps) for displaying hardware sensor values. It can
+show up to 5 values, with custom labels.
+
+After installing the package, per-user configuration is required.
+
+1. cp /etc/wmsorsen.sample ~/.wmsorsenrc
+
+2. Edit ~/.wmsorsenrc. Modify the monitor1 to monitor5 options to
+ select the sensor values you want to see. Use "wmsorsen -p"
+ to get a list of all available sensor values.
+ You can use custom labels for each of the first 4 entries.
+ Use "text? = foo", where ? is the number 1 to 4, and foo is the
+ label (up to four characters).
diff --git a/desktop/wmsorsen/slack-desc b/desktop/wmsorsen/slack-desc
new file mode 100644
index 0000000000..d5135370f7
--- /dev/null
+++ b/desktop/wmsorsen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmsorsen: wmsorsen (windowmaker dockapp for cpu temp/fan/voltage sensors)
+wmsorsen:
+wmsorsen: wmsorsen is a dockapp for WindowMaker (and similar window managers
+wmsorsen: supporting dockapps) for displaying hardware sensor values. It can
+wmsorsen: show up to 5 values, with custom labels.
+wmsorsen:
+wmsorsen:
+wmsorsen:
+wmsorsen:
+wmsorsen:
+wmsorsen:
diff --git a/desktop/wmsorsen/wmsorsen.SlackBuild b/desktop/wmsorsen/wmsorsen.SlackBuild
new file mode 100644
index 0000000000..94dacb5bda
--- /dev/null
+++ b/desktop/wmsorsen/wmsorsen.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for wmsorsen
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wmsorsen
+VERSION=${VERSION:-0.10.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+cd $PRGNAM
+
+# minor c++11 violation, shut the warning up.
+sed -i 's,"VERSION"," VERSION ",' $PRGNAM.cc
+
+make CFLAGS="-Wall -fcommon $SLKCFLAGS"
+# don't 'make install', hardcoded to /usr/local/bin, doesn't install docs.
+
+install -D -s $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D wmsorsenrc $PKG/etc/wmsorsenrc.sample
+
+cd ..
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a README CHANGELOG COPYING $PKGDOC
+cat $CWD/README > $PKGDOC/README_SBo.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/wmsorsen/wmsorsen.info b/desktop/wmsorsen/wmsorsen.info
new file mode 100644
index 0000000000..e7afe74a74
--- /dev/null
+++ b/desktop/wmsorsen/wmsorsen.info
@@ -0,0 +1,10 @@
+PRGNAM="wmsorsen"
+VERSION="0.10.2"
+HOMEPAGE="http://www.boomerangsworld.de/cms/dockapps/wmsorsen.html"
+DOWNLOAD="http://www.boomerangsworld.de/cms/dockapps/downloads/wmsorsen-0.10.2.tar.bz2"
+MD5SUM="31258e7f7845bf9523af81b1271c6c42"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"